+ Start a Discussion
rvkrvk 

Force.com IDE not working on win 7 64 bit

I have installed and  configured force IDE in  eclipse  Helios. when i try to create a project, after entering login detials  in the progress information box it shows  fetching packages it displays for a while at the end  "connection time out " error is coming up  all the time.

mikemelnickmikemelnick

There are diffferent downloads for 64 bit os.  Try downloading the eclipse-java-helios-SR2-win32-x86_64.zip - it worked for me.

 

Mike

LakshmanLakshman

32 bit Eclipse Galileo (or any version) IDE should work fine. Its working fine for me. I think you are using Force.com IDE not

eclipse. Try using Eclipse IDE and install plugin. Here is the link where you can get the steps: http://wiki.developerforce.com/index.php/Force.com_IDE_Installation_for_Eclipse_3.6

 

-Lakshman

 

rvkrvk

Thanks for the reply.

 

I tried installing force.com plugin in  elicpse IDE which is mentioned in the above link  but i ran in to below error.

 

Cannot complete the install because of a conflicting dependency.  Software being installed: Force.com IDE 20.0.1.201011121559 (com.salesforce.ide.feature.feature.group 20.0.1.201011121559)  Software currently installed: Shared profile 1.0.0.1284708747720 (SharedProfile_epp.package.java 1.0.0.1284708747720)  Only one of the following can be installed at once:     Structured Source Editor 1.2.2.v201008232126 (org.eclipse.wst.sse.ui 1.2.2.v201008232126)    Structured Source Editor 1.1.102.v200910200227 (org.eclipse.wst.sse.ui 1.1.102.v200910200227)  Only one of the following can be installed at once:     XSD Core Plugin 1.1.401.v200903020335 (org.eclipse.wst.xsd.core 1.1.401.v200903020335)    XSD Core Plugin 1.1.502.v201008201521 (org.eclipse.wst.xsd.core 1.1.502.v201008201521)  Cannot satisfy dependency:    From: Shared profile 1.0.0.1284708747720 (SharedProfile_epp.package.java 1.0.0.1284708747720)    To: org.eclipse.epp.package.java.feature.feature.group [1.3.1.20100916-1202]  Cannot satisfy dependency:    From: Shared profile 1.0.0.1284708747720 (SharedProfile_epp.package.java 1.0.0.1284708747720)    To: org.eclipse.wst.xsd.core [1.1.502.v201008201521]  Cannot satisfy dependency:    From: Force.com IDE 20.0.1.201011121559 (com.salesforce.ide.feature.feature.group 20.0.1.201011121559)    To: org.eclipse.wst.html.ui [1.0.0,2.0.0)  Cannot satisfy dependency:    From: EPP Java Package 1.3.1.20100916-1202 (org.eclipse.epp.package.java.feature.feature.group 1.3.1.20100916-1202)    To: org.eclipse.wst.xml_ui.feature.feature.group 0.0.0  Cannot satisfy dependency:    From: HTML UI Source Editor 1.0.401.v200908111935 (org.eclipse.wst.html.ui 1.0.401.v200908111935)    To: bundle org.eclipse.wst.sse.ui [1.1.0,1.2.0)  Cannot satisfy dependency:    From: WST XML Core 3.1.1.v200907161031-7C7OFPiF7RZHKFHgU1LkY6 (org.eclipse.wst.xml_core.feature.feature.group 3.1.1.v200907161031-7C7OFPiF7RZHKFHgU1LkY6)    To: org.eclipse.wst.xsd.core [1.1.401.v200903020335]  Cannot satisfy dependency:    From: Eclipse XML Editors and Tools 3.1.1.v200907161031-7H6FMbDxtkMs9OeLGF98LRhdPKeo (org.eclipse.wst.xml_ui.feature.feature.group 3.1.1.v200907161031-7H6FMbDxtkMs9OeLGF98LRhdPKeo)    To: org.eclipse.wst.xml_core.feature.feature.group [3.1.1.v200907161031-7C7OFPiF7RZHKFHgU1LkY6]  Cannot satisfy dependency:    From: Eclipse XML Editors and Tools 3.2.2.v201008170029-7H7AFUQDxumQGOpBqffOY2f1qxDZ (org.eclipse.wst.xml_ui.feature.feature.group 3.2.2.v201008170029-7H7AFUQDxumQGOpBqffOY2f1qxDZ)    To: org.eclipse.wst.sse.ui [1.2.2.v201008232126]

mikemelnickmikemelnick

It looks like the install package found an instance of the Eclipse IDE already installed, did you uninstall the earlier version?

rvkrvk

I tried with different eclipse versions, force IDE got installed but for some versions i was not able to see force.com IDE in windows-> open perspective->other.Pelase help me out.

mikemelnickmikemelnick

I hope I am following your thinking here and it has been a bit since I installed Eclipse and Force IDE but it sounds like you have Eclipse working, have you installed the force IDE component yet?  There is a 64 bit version (force.com-ide-installer-win64.zip) that worked for me.

LakshmanLakshman

Do one thing delete your eclipse folder completely and get a fresh copy of eclipse and then try to install following the steps in that link which I have provided you earlier and also make the network setting in the eclipse preferences to Manual.

 

Let me know if you are facing any problems.

 

Regards,

Lakshman

rvkrvk

Hi,

 

Still having problem even i  tried once again after deleting all the folders belongs to eclipse. Force.com IDE got installed sucessfully but i am not able to see force.com  in the list when click on windows-> open perspective->other.

Mayank_JoshiMayank_Joshi

Hi,

 

Try to disable the UAC(User Access Controll) of Windows 7. This feature will restrict in installing the software in Vista/Win 7 .

 

After installing ,make it UAC enable again. Let me know ,if that helps .Or simply log a case to salesforce support (Skill group Usablity).

 

Thanks